Retrieves all webhook subscriptions
curl --request GET \
--url https://api.demo.fuelboss.net/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.fuelboss.net/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.fuelboss.net/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.fuelboss.net/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.fuelboss.net/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.fuelboss.net/v1/webhooks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.fuelboss.net/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"nomination_cancelled"
],
"createdAtUtc": "2023-11-07T05:31:56Z",
"version": 123,
"headerKeys": [
"<string>"
]
}
]Webhooks
Retrieves all webhook subscriptions
Retrieves all webhook subscriptions for your tenant
GET
/
v1
/
webhooks
Retrieves all webhook subscriptions
curl --request GET \
--url https://api.demo.fuelboss.net/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.fuelboss.net/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.fuelboss.net/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.fuelboss.net/v1/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.fuelboss.net/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.fuelboss.net/v1/webhooks")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.fuelboss.net/v1/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"eventTypes": [
"nomination_cancelled"
],
"createdAtUtc": "2023-11-07T05:31:56Z",
"version": 123,
"headerKeys": [
"<string>"
]
}
]Authorizations
Access token obtained from the /oauth/token endpoint using your client credentials.
Response
200 - application/json
OK
System-generated unique identifier of the subscription. Use it to delete the subscription.
HTTPS endpoint that webhook events are delivered to.
Event types the subscription covers.
Event type that a webhook subscription covers. Deliveries carry the corresponding
CloudEvent type string (e.g. net.fuelboss.nomination.created) in their type field.
Possible values:
nomination_cancelled— Nomination has been cancelled.nomination_bunkering_location_changed— Nomination bunkering location has changed.nomination_fuel_specification_changed— Nomination fuel specification has changed.nomination_receiver_vessel_changed— Nomination receiver vessel has changed.nomination_supplier_asset_changed— Nomination supplier asset has changed.operation_started— Bunkering operation has started.operation_ended— Bunkering operation has ended.nomination_created— Nomination has been created.nomination_draft_upserted— Draft nomination has been created or updated.nomination_bunkering_start_time_changed— Nomination estimated bunkering start time (the nomination BST) has changed.nomination_bunkering_end_time_changed— Nomination estimated bunkering end time (estimated time of completion) has changed.nomination_contract_changed— Nomination contract has changed.nomination_company_entity_changed— Nomination supplier company entity has changed.nomination_counterpart_entity_changed— Nomination counterpart entity has changed.
Available options:
nomination_cancelled, nomination_bunkering_location_changed, nomination_fuel_specification_changed, nomination_receiver_vessel_changed, nomination_supplier_asset_changed, operation_started, operation_ended, nomination_created, nomination_draft_upserted, nomination_bunkering_start_time_changed, nomination_bunkering_end_time_changed, nomination_contract_changed, nomination_company_entity_changed, nomination_counterpart_entity_changed Timestamp (UTC) when the subscription was created.
Version of the webhook payload schema delivered to this subscription. See Payload versions.
Names of the custom headers configured for the subscription. Header values are never returned.